package ru.yandex.wmconsole.data.info;

import ru.yandex.wmconsole.data.MainMirrorRequestStateEnum;
import ru.yandex.wmconsole.data.MainMirrorStateEnum;

import java.util.Date;

/**
 * @author avhaliullin
 */
public class MainMirrorRequestInfo extends ShortMainMirrorRequestInfo{
    private final boolean notified;

    public MainMirrorRequestInfo(MainMirrorRequestStateEnum requestState, MainMirrorStateEnum state, Date created, Date modified, long hostId, boolean notified) {
        super(requestState, state, created, modified, hostId);
        this.notified = notified;
    }

    public boolean isNotified() {
        return notified;
    }
}
